Search wallet by criteria
GET https://wallet.paysera.com/rest/v1/wallet
Get wallet information by various search criteria.
Example queries:
- By phone:
GET /wallet?phone=37066612345 - By email:
GET /wallet?email=john@example.com - By company code:
GET /wallet?company_code[lt]=300060819 - By account number:
GET /wallet?account_number=EVP0010001000101 - By card:
GET /wallet?card[paysera]=5487963154 - By person code:
GET /wallet?person_code[lt]=31001010000 - By licence plate:
GET /wallet?licence_plate=ABC123
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Query Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
phone | string | Phone number (with country code, without + or 00) | |
email | string | Email address | |
account_number | string | Account number (must start with EVP) | |
barcode | string | Special barcode for identifying wallet | |
user_id | integer | Unique user ID | |
card | object | Card search (array with issuer as key and number as value) | |
licence_plate | string | Vehicle licence plate number | |
person_code | object | Person code (array with country code as key) | |
company_code | object | Company code (array with country code as key) | |
nfc | string | NFC identifier |
Example​
Request​
GET https://wallet.paysera.com/rest/v1/wallet?phone=37066612345&email=john@example.com&account_number=EVP0010001000101&barcode=value&user_id=value&card=[object Object]&licence_plate=value&person_code=[object Object]&company_code=[object Object]&nfc=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"owner_display_name": "John Doe"
}
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
Query Parameters
phonePhone number (with country code, without + or 00)
emailEmail address
account_numberAccount number (must start with EVP)
barcodeSpecial barcode for identifying wallet
user_idUnique user ID
cardCard search (array with issuer as key and number as value)
licence_plateVehicle licence plate number
person_codePerson code (array with country code as key)
company_codeCompany code (array with country code as key)
nfcNFC identifier
RESPONSE
Wallet found
{
"id": 14471,
"owner": 221,
"account": {
"number": "EVP0010001000101",
"owner_display_name": "John Doe"
}
}